aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorxdch47 <xdch47@posteo.de>2019-02-08 20:03:59 +0100
committerAnthony G. Basile <blueness@gentoo.org>2019-02-11 06:55:46 -0500
commit4b843e342fdfd25aa6fee920e6821c432b0a2083 (patch)
treeb94cece7f9c92df0e41d9a9def929e26f19fef4f /sys-libs
parentsys-apps/iproute2: drop to just arches supported on musl (diff)
downloadmusl-4b843e342fdfd25aa6fee920e6821c432b0a2083.tar.gz
musl-4b843e342fdfd25aa6fee920e6821c432b0a2083.tar.bz2
musl-4b843e342fdfd25aa6fee920e6821c432b0a2083.zip
sys-libs/ldb: bump to 1.4.4
Package-Manager: Portage-2.3.51, Repoman-2.3.11 Manifest-Sign-Key: 0DEDF1A904568BAD1FC45C283DCC44782ED07E1C Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Diffstat (limited to 'sys-libs')
-rw-r--r--sys-libs/ldb/Manifest17
-rw-r--r--sys-libs/ldb/ldb-1.4.4.ebuild105
2 files changed, 114 insertions, 8 deletions
diff --git a/sys-libs/ldb/Manifest b/sys-libs/ldb/Manifest
index fb9785b..93f5d6b 100644
--- a/sys-libs/ldb/Manifest
+++ b/sys-libs/ldb/Manifest
@@ -8,15 +8,16 @@ DIST ldb-1.2.3.tar.gz 1344513 BLAKE2B 941174d6e2c51319c8690a8d8a87bea443d4fa4d73
DIST ldb-1.3.6.tar.gz 1374574 BLAKE2B 654f35eb25aeb373540ead7cb10da66c92970ea6b100631cb14bacf937fec64e09b19ed3e09a976406e3f8d6347c4e17144c0a0bff8795316559be45353edbf7 SHA512 8fcd72598e948c55adaa832d6ebcbc03b979281032cb900af4304c1c68ce9cc94a1e1d4729d0c2a0b83a618cab716749d851160005a0093cf8a178e6dbea298d
DIST ldb-1.4.2.tar.gz 1427857 BLAKE2B 5a90b31b4760f0504197d3cefdb16f7d4099df660fe75c5d80907e39abde8abc6b87cdb117ee9213abf8287932c18782ab153d87bb609cb1f346231e6e00997c SHA512 f2b44cebd0f8c77926aa364d9ac4ea37da4a780b94e7f9fba7a55fef825e90e469a3230e56cd2b23ce4f6b528dda9041863e4af77bb0826a117e8317a0b79070
DIST ldb-1.4.3.tar.gz 1428730 BLAKE2B 1e0fec1aeb05ecd34b7dc88d85425b646ab28804245543256c575a44c1a321e873d74f623b1a003aec878a808d6bc967ff57e8115650f6089278d55d586c7e6a SHA512 081dbc23e810213fb60fdb07c7f3bf1ec8849d10483c5cdabb8add2568d4f80d03bd74d7be3fcf9bb853eaf25aa6bbb2d69cda3f55dda0270978b051da315cb2
+DIST ldb-1.4.4.tar.gz 1428851 BLAKE2B 8b2dc6dc95f5c8d1a04aab58efb622b4550e6d8fc6f12aafe36b7080a5d59ab2d7fc6429ac59de43a23cef690fa9f026ccf536f70bfd25a126a1a649f3c68d02 SHA512 eb5c364771732916f89c9ee8cf20909954a7215cd71333b79c17718dd1e25081cce6597e882b6f0d6158c207fb58d97311f0417bf3baffe72084977a4bd05896
DIST ldb-1.5.1.tar.gz 1432221 BLAKE2B 1837a74b33b5f527bdea0925de2908fc58bb6ca713bea89cefec9dc9809bf40d107352926ed34dabb333f37533e599b142a36989ffad862b0a89e786ab54c434 SHA512 b7815da51944d4e61617fafac0417e57baa59c9dd3dfa926d5ef9072a95351562930150c691a23b81526697bfba3ffe10a75ead406bf5ffdbfc511d1861f984b
-----BEGIN PGP SIGNATURE-----
-iQEzBAEBCAAdFiEEDe3xqQRWi60fxFwoPcxEeC7QfhwFAlvtxYYACgkQPcxEeC7Q
-fhyn1AgAhs5ho+axx4zsFTxrF5HCvYrsIsFlQ74LejtTSNVn1Lc/paFlflJDFIUz
-kftDkwFbxbXeHBng/t2jFxA9kcoZeQjRmNTXmItnufLFxauLop2qOW9URvlr6sGC
-nVYWqB19lyLE2mRpgMwc7L21XYkMBSVq9maij2XhzqlpcxcrZItX1YLhsl/NDsK2
-CKU6KhQurkNKR+d2pYC9DhMmyz/19eiLw9At0uPDYLfJ9G3Ky4lLM8HeOVynHPOq
-TFJjIcTP5zBOrHF1m3VqNUnw7Bcjs0WaqPw1l9R83gxt+wCtl2GOtDpu60keKOqh
-OAOZ0+FuYR5b413Wo74/tqM0GDxu9Q==
-=qi2a
+iQEzBAEBCAAdFiEEDe3xqQRWi60fxFwoPcxEeC7QfhwFAlxd0p0ACgkQPcxEeC7Q
+fhz3xwgAhegPdXouZ2LSAjuq0o4sdEtAqMHIzFWUXpsyu4RPBmQiC6fz6oDpH3gO
+A27mUXPpVz7nu7pUhluKQkiWcmTjdQw46Z9Cg0dgOsXlv497USXCc/idu1B/zrQt
+ZDn0v+bqYWb2UpQhp9R+s2chBF85u0M7xXMhl00jKwniW1Fe/OGNGz52ir3yPnkB
+Prxkz4Y3RPa2H78AXwr4ssm3arjppRfXQwWew1A3YVw1eKYZtlWE1OjIkuZcNV3L
+OKDZhNq4K0zHl3B4P3A1EY9t72YpWxyofqKQi6eVa+G+dTs+Y5yNNDe/ReC2mSUU
+MXmDzMEhSFz9U5DDnID9G2j5FxVZNQ==
+=pC6z
-----END PGP SIGNATURE-----
diff --git a/sys-libs/ldb/ldb-1.4.4.ebuild b/sys-libs/ldb/ldb-1.4.4.ebuild
new file mode 100644
index 0000000..d096c5d
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.4.4.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org"
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +lmdb +python"
+
+RDEPEND="
+ !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+ dev-libs/popt[${MULTILIB_USEDEP}]
+ >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.1.14[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tdb-1.3.16[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tevent-0.9.37[python(+)?,${MULTILIB_USEDEP}]
+ ldap? ( net-nds/openldap )
+ lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
+ python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="dev-libs/libxslt
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.0-optional_packages.patch
+ "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(usex ldap '' --disable-ldap)
+ $(usex lmdb '' --without-ldb-lmdb)
+ --disable-rpath
+ --disable-rpath-install --bundled-libraries=NONE
+ --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+ --builtin-libraries=NONE
+ )
+ if ! multilib_is_native_abi; then
+ myconf+=( --disable-python )
+ else
+ use python || myconf+=( --disable-python )
+ fi
+ CFLAGS="-D__NEED_pid_t" waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ waf-utils_src_compile
+ multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ WAF_MAKE=1 \
+ PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
+ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
+ waf test || die
+ fi
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ if multilib_is_native_abi && use doc; then
+ doman apidocs/man/man3/*.3
+ docinto html
+ dodoc -r apidocs/html/*
+ fi
+}
+
+pkg_postinst() {
+ if has_version sys-auth/sssd; then
+ ewarn "You have sssd installed. It is known to break after ldb upgrades,"
+ ewarn "so please try to rebuild it before reporting bugs."
+ ewarn "See https://bugs.gentoo.org/404281"
+ fi
+}